Subject: Re: [PATCH -next] nouveau: fix acpi_lid_open undefined

From: Dave Airlie <[email-masked]>
Date: Tue, 25 May 2010 08:47:35 +1000

On Mon, 2010-05-24 at 07:17 -0700, Randy Dunlap wrote:
> On 05/24/10 06:59, Matthew Garrett wrote:
> > On Mon, May 24, 2010 at 06:53:51AM -0700, Randy Dunlap wrote:
> >> On 05/24/10 05:56, Matthew Garrett wrote:
> >>> Won't this result in a behavioural difference? The desirable outcome is 
> >>
> >> It could, yes.
> >>
> >>> that that configuration be impossible, not for that configuration to 
> >>> build but be buggy.
> >>
> >> so nouveau should depend on (or select, if ACPI is enabled) ACPI_BUTTON?
> > 
> > There's an argument that it doesn't need to depend on it, but if button 
> > is a module then nouveau has to be. Except the inverse isn't true. 
> > Kconfig is hard, let's weep gently.
> 
> Maybe Dave can weep with us when he is back at work...

Yeah I've had problems like this a few times lately with the drm, I'm
torn between just adding select all over the place, or assuming someone
sane is configuring the kernel.

I'm sort of erring on the someone sane is configuring the kernel just
because Linus's objects to "default y" things seems to point at that we
can't really give pointers to the people who haven't done it before. So
I'm quite happy to leave it having different behaviour depending on the
configuration and simply ignoring bug reports from incompetents.

Dave.